Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1337670 - after applying RHBA-2016-0461 compare-configs-default task start to spawn many postgres processes and the load quickly increases.
Summary: after applying RHBA-2016-0461 compare-configs-default task start to spawn man...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management
Version: 570
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-19 18:53 UTC by Fotios Tsiadimos
Modified: 2019-12-16 05:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 13:17:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fotios Tsiadimos 2016-05-19 18:53:31 UTC
Description of problem:
after applying RHBA-2016-0461 compare-configs-default task start to spawn many postgres processes and the load quickly increases.


When there are no pending tasks, the system runs fine.
When I created a new schedule for the compare-configs-default task to run, the systems seems to start to spawn many postgres processes and the load quickly increases.

postgres  4887  0.0  0.0 634180  4248 ?        Ss   07:13   0:00 postgres: rhnuser rhnschema [local] idle
postgres  4890  0.0  0.0 634180  4240 ?        Ss   07:13   0:00 postgres: rhnuser rhnschema [local] idle
postgres  4891  0.0  0.0 634180  4240 ?        Ss   07:13   0:00 postgres: rhnuser rhnschema [local] idle
postgres  4896  0.4  0.0 643392 20016 ?        Ss   07:13   0:00 postgres: rhnuser rhnschema [local] idle
postgres  4897  0.0  0.0 634180  4260 ?        Ss   07:13   0:00 postgres: rhnuser rhnschema [local] idle
postgres  4898  0.0  0.0 634180  4260 ?        Ss   07:13   0:00 postgres: rhnuser rhnschema [local] idle



Version-Release number of selected component (if applicable):
satellite 5.7

How reproducible:

Apply the errata RHBA-2016-0461 and create configuration files like below: 

rhnschema=# SELECT id, file_size FROM rhnConfigContent
rhnschema-#               ORDER by file_size DESC LIMIT 5;
  id  | file_size
------+-----------
 1037 |  10485760
  342 |   6027851
  199 |   6027851
 1278 |   2371619
 1574 |   1570915


Note You need to log in before you can comment on or make changes to this bug.